## ros-melodic-depthimage-to-laserscan 1.0.8

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8)
project(depthimage_to_laserscan)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED dynamic_reconfigure image_geometry image_transport nodelet roscpp sensor_msgs)
#find_package(OpenCV REQUIRED)

# Dynamic reconfigure support
generate_dynamic_reconfigure_options(cfg/Depth.cfg)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES DepthImageToLaserScan DepthImageToLaserScanROS DepthImageToLaserScanNodelet
  CATKIN_DEPENDS dynamic_reconfigure image_geometry image_transport nodelet roscpp sensor_msgs
)

include_directories(include ${catkin_INCLUDE_DIRS})

add_library(DepthImageToLaserScan src/DepthImageToLaserScan.cpp)
target_link_libraries(DepthImageToLaserScan ${catkin_LIBRARIES})

add_library(DepthImageToLaserScanROS src/DepthImageToLaserScanROS.cpp)
add_dependencies(DepthImageToLaserScanROS ${PROJECT_NAME}_gencfg)
target_link_libraries(DepthImageToLaserScanROS DepthImageToLaserScan ${catkin_LIBRARIES})

add_library(DepthImageToLaserScanNodelet src/DepthImageToLaserScanNodelet.cpp)
target_link_libraries(DepthImageToLaserScanNodelet DepthImageToLaserScanROS ${catkin_LIBRARIES})

add_executable(depthimage_to_laserscan src/depthimage_to_laserscan.cpp)
target_link_libraries(depthimage_to_laserscan DepthImageToLaserScanROS ${catkin_LIBRARIES})

if(CATKIN_ENABLE_TESTING)
  # Test the library
  catkin_add_gtest(libtest test/DepthImageToLaserScanTest.cpp)
  target_link_libraries(libtest DepthImageToLaserScan ${catkin_LIBRARIES})
endif()

# add the test executable, keep it from being built by "make all"
add_executable(test_dtl EXCLUDE_FROM_ALL test/depthimage_to_laserscan_rostest.cpp)

# Install targets
install(TARGETS DepthImageToLaserScan DepthImageToLaserScanROS DepthImageToLaserScanNodelet depthimage_to_laserscan
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
        DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES nodelets.xml
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-depthimage-to-laserscan (1.0.8-0bionic) bionic; urgency=high

  * Merge pull request #27 <https://github.com/ros-perception/depthimage_to_laserscan/issues/27> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * update to use non deprecated pluginlib macro
  * Contributors: Chad Rockey, Mikael Arguedas

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 07 Feb 2019 08:00:00 -0000

ros-melodic-depthimage-to-laserscan (1.0.7-0bionic) bionic; urgency=high

  * Merge pull request #11 <https://github.com/ros-perception/depthimage_to_laserscan/issues/11> from ros-perception/hydro-devel
    Update indigo devel with angle fix
  * Merge pull request #8 <https://github.com/ros-perception/depthimage_to_laserscan/issues/8> from vliedel/hydro-devel
    fixed angle_increment
  * fixed angle_increment
  * Merge pull request #7 <https://github.com/ros-perception/depthimage_to_laserscan/issues/7> from bulwahn/hydro-devel
    check for CATKIN_ENABLE_TESTING
  * check for CATKIN_ENABLE_TESTING
  * Added ARCHIVE DESTINATION
  * Contributors: Chad Rockey, Lukas Bulwahn, vliedel

 -- Chad Rockey <chadrockey@gmail.com>  Mon, 16 Jun 2014 07:00:00 -0000

ros-melodic-depthimage-to-laserscan (1.0.6-0bionic) bionic; urgency=high

  * Removed y component from projected beam radius.

 -- Chad Rockey <chadrockey@gmail.com>  Thu, 31 Oct 2013 07:00:00 -0000

ros-melodic-depthimage-to-laserscan (1.0.5-0bionic) bionic; urgency=high

  * No more Willow Garage email.
  * Merge pull request #4 <https://github.com/ros-perception/depthimage_to_laserscan/issues/4> from ericperko/groovy-devel
    Cleaned up CMakeLists a bit
  * Cleaned up CMakeLists a bit

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 21 Aug 2013 07:00:00 -0000

ros-melodic-depthimage-to-laserscan (1.0.4-0bionic) bionic; urgency=high

  * Update version to 1.0.4
  * Merge pull request #3 <https://github.com/ros-perception/depthimage_to_laserscan/issues/3> from ahendrix/fix_testdeps
    Fix testdeps
  * Removed redundant test-depends.
  * Remove old makefile.

 -- Chad Rockey <chadrockey@gmail.com>  Tue, 22 Jan 2013 08:00:00 -0000

ros-melodic-depthimage-to-laserscan (1.0.3-0bionic) bionic; urgency=high

  * fix exported libraries (fix #2 <https://github.com/ros-perception/depthimage_to_laserscan/issues/2>)

 -- Chad Rockey <chadrockey@gmail.com>  Sun, 23 Dec 2012 08:00:00 -0000

ros-melodic-depthimage-to-laserscan (1.0.2-0bionic) bionic; urgency=high

  * fix dyn reconf
  * Updated description.
  * Updated readme to link to wiki.

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 19 Dec 2012 08:00:00 -0000

ros-melodic-depthimage-to-laserscan (1.0.1-0bionic) bionic; urgency=high

  * Update package.xml
    New release for missing catkin build_depend.
  * Merge pull request #1 <https://github.com/ros-perception/depthimage_to_laserscan/issues/1> from ablasdel/groovy-devel
    updated catkin buildtool_depend
  * updated catkin buildtool_depend

 -- Chad Rockey <chadrockey@gmail.com>  Fri, 14 Dec 2012 08:00:00 -0000

ros-melodic-depthimage-to-laserscan (1.0.0-0bionic) bionic; urgency=high

  * Cleanup of the CMakeLists.txt
  * First attempt at Catkinizing.
  * Pushing fuerte-devel to github.
  * Initial commit

 -- Chad Rockey <chadrockey@gmail.com>  Wed, 05 Dec 2012 08:00:00 -0000

=== debian/control ===
Source: ros-melodic-depthimage-to-laserscan
Section: misc
Priority: extra
Maintainer: Chad Rockey <chadrockey@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libgtest-dev, ros-melodic-catkin (>= 0.5.68), ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-sensor-msgs
Homepage: http://ros.org/wiki/depthimage_to_laserscan
Standards-Version: 3.9.2

Package: ros-melodic-depthimage-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-dynamic-reconfigure, ros-melodic-image-geometry, ros-melodic-image-transport, ros-melodic-nodelet, ros-melodic-roscpp, ros-melodic-sensor-msgs
Description: depthimage_to_laserscan

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-depthimage-to-laserscan//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
